[Documentation](https://github.com/xebialabs/xl-react-components/wiki)
[Kitchen sink](https://xebialabs.github.io/xl-react-components/kitchen-sink.html#/home)

Check [Protractor Base DSL API](https://acierto.github.io/protractor-base-dsl/index.html).

# Component documentation

1. [XlReactDipReduxForm](app/xl-react-form/README.md)
1. [XlReactWidgetReduxTable](app/xl-react-widget/xl-react-widget-redux-table/README.md)
1. [XlReactWidgetAutocomplete](app/xl-react-widget/xl-react-widget-autocomplete/README.md)
1. [XlReactTabSystem](app/xl-react-tab-system/README.md)
1. [XlReactWidgetTags](app/xl-react-widget/xl-react-widget-tags/README.md)
1. [XlReactWidgetPatchSample](app/xl-react-widget/xl-react-widget-patch-sample/README.md)
1. [XlReactWidgetPatchEditor](app/xl-react-widget/xl-react-widget-patch-editor/README.md)
1. [XlReactWidgetString](app/xl-react-widget/xl-react-widget-string/README.md)
1. [XlReactDipEnum](app/xl-react-dip/xl-react-dip-enum/README.md)
1. [XlReactWidgetMonaco](app/xl-react-widget/xl-react-widget-monaco/README.md)
1. [XlReactWidgetFileUpload](app/xl-react-widget/xl-react-widget-file-upload/README.md)
1. [XlReactWidgetFilter](app/xl-react-widget/xl-react-widget-filter/README.md)
1. [XlReactWidgetCollapsibleBottomSplitPanel](app/xl-react-widget/xl-react-widget-split-panel/xl-react-widget-collapsible-bottom-split-pane/README.md)
1. [XlReactWidgetRadioGroup](app/xl-react-widget/xl-react-widget-radio-group/README.md)
1. [XlReactWidgetDate](app/xl-react-widget/xl-react-widget-date/README.md)
1. [XlReactWidgetTime](app/xl-react-widget/xl-react-widget-time/README.md)
1. [XlReactWidgetConfirmationDialog](app/xl-react-widget/xl-react-widget-confirmation-dialog/README.md)
1. [XlReactWidgetConfirmationDialogContainer](app/xl-react-widget/xl-react-widget-confirmation-dialog-container/README.md)
1. [XlReactWidgetCollapsibleVerticalSplitPanel](app/xl-react-widget/xl-react-widget-split-panel/xl-react-widget-collapsible-vertical-split-pane/README.md)
1. [XlReactWidgetSpinner](app/xl-react-widget/xl-react-widget-spinner/README.md)
1. [XlReactWidgetTree](app/xl-react-widget/xl-react-widget-tree/README.md)
1. [XlReactWidgetTree](app/xl-react-widget/xl-react-widget-lazy-loaded-tree/README.md)

# Notes from libs update

* bootstrap and react-bootstrap migration to v4 (and v1) version is not planned in near future
* flake-idgen breaks IE11 when going from 1.3.0 to 1.4.0
* history update: [ENG-2600](https://digitalai.atlassian.net/browse/ENG-2600)
* react related libs update: [S-85599](https://www7.v1host.com/V1Production/story.mvc/Summary?oidToken=Story%3A1985094)
* monaco-editor 0.18.1 version of monaco-editor is last one that [supports IE11](https://github.com/microsoft/monaco-editor/blob/master/CHANGELOG.md)
* react-monaco-editor is tied to the version of monaco-editor and should not be updated (as long as we support IE11)
* protractor upgrade: [ENG-2691](https://digitalai.atlassian.net/browse/ENG-2691)
* expose-loader upgrade: [S-85600](https://www7.v1host.com/V1Production/story.mvc/Summary?oidToken=Story%3A1985111)
* jest upgrade: [S-85601](https://www7.v1host.com/V1Production/story.mvc/Summary?oidToken=Story%3A1985114)
* eslint upgrade: [S-85603](https://www7.v1host.com/V1Production/story.mvc/Summary?oidToken=Story%3A1985118)
* webpack-dev-server upgrade: [S-85602](https://www7.v1host.com/V1Production/story.mvc/Summary?oidToken=Story%3A1985115)
* webpack upgrade: [S-85604](https://www7.v1host.com/V1Production/story.mvc/Summary?oidToken=Story%3A1985122)
* protractor-base-dsl upgrade: [ENG-8739](https://digitalai.atlassian.net/browse/ENG-8739)
* interweave upgrade: [S-85605](https://www7.v1host.com/V1Production/story.mvc/Summary?oidToken=Story%3A1985124)
* @babel packages upgrade caused ctrl click issue in deployment-scenario.js for multiple select of steps to skip/unskip. Check xld-ci-explorer build with this update and proceed.
